通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

AFD Custom Domains - Get

获取具有指定订阅、资源组和配置文件下指定域名的现有 AzureFrontDoor 域。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/customDomains/{customDomainName}?api-version=2025-04-15

URI 参数

名称 必需 类型 说明
customDomainName
path True

string

全局唯一的配置文件下的域的名称。

profileName
path True

string

minLength: 1
maxLength: 260
pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$

在资源组中唯一的 Azure Front Door 标准版或 Azure Front Door Premium 的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

Azure 订阅中的资源组的名称。

subscriptionId
path True

string

Azure 订阅 ID。

api-version
query True

string

要用于客户端请求的 API 的版本。 当前版本为 2025-04-15。

响应

名称 类型 说明
200 OK

AFDDomain

还行

Other Status Codes

AfdErrorResponse

Azure Front Door 错误响应,描述操作失败的原因。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

AFDCustomDomains_Get

示例请求

GET https://management.azure.com/subscriptions/subid/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/customDomains/domain1?api-version=2025-04-15

示例响应

{
  "id": "/subscriptions/subid/resourcegroups/RG/providers/Microsoft.Cdn/profiles/profile1/customdomains/domain1",
  "name": "domain1",
  "type": "Microsoft.Cdn/profiles/customdomains",
  "properties": {
    "profileName": "profile1",
    "hostName": "www.contoso.com",
    "tlsSettings": {
      "certificateType": "ManagedCertificate",
      "cipherSuiteSetType": "Customized",
      "minimumTlsVersion": "TLS12",
      "customizedCipherSuiteSet": {
        "cipherSuiteSetForTls12": [
          "ECDHE_RSA_AES128_GCM_SHA256"
        ],
        "cipherSuiteSetForTls13": [
          "TLS_AES_128_GCM_SHA256",
          "TLS_AES_256_GCM_SHA384"
        ]
      },
      "secret": {
        "id": ""
      }
    },
    "azureDnsZone": {
      "id": ""
    },
    "preValidatedCustomDomainResourceId": {
      "id": ""
    },
    "validationProperties": {
      "validationToken": "8c9912db-c615-4eeb-8465",
      "expirationDate": "2009-06-15T13:45:43.0000000Z"
    },
    "domainValidationState": "Pending",
    "provisioningState": "Updating",
    "deploymentStatus": "NotStarted"
  }
}

定义

名称 说明
AfdCertificateType

定义 SSL 证书的源。

AfdCipherSuiteSetType

将用于 Https 的密码套件集类型

AfdCustomizedCipherSuiteForTls12

TLS 1.2 的密码套件。 至少需要一个最低TlsVersion TLS 1.2。

AfdCustomizedCipherSuiteForTls13

TLS 1.3 的密码套件。 至少要求至少一个TlsVersion TLS 1.2,TLS 1.3。

AFDDomain

友好域名映射到客户为品牌目的而提供的终端节点主机名,例如 www.contoso.com.

AFDDomainHttpsCustomizedCipherSuiteSet

自定义的密码套件集对象,将在 cipherSuiteSetType 自定义时用于 Https。

AFDDomainHttpsParameters

包含保护域的属性的 JSON 对象。

AfdErrorResponse

错误响应

AfdMinimumTlsVersion

自定义密码SuiteSetType 时将用于 Https 的 TLS 协议版本。

AfdProvisioningState

预配状态

DeploymentStatus
DomainValidationProperties

包含用于验证域的属性的 JSON 对象。

DomainValidationState

预配子状态显示自定义 HTTPS 启用/禁用过程的进度。 DCV 代表 DomainControlValidation。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

IdentityType

创建/修改资源的标识类型

ResourceReference

对另一个资源的引用。

SystemData

只读系统数据

AfdCertificateType

定义 SSL 证书的源。

说明
CustomerCertificate
ManagedCertificate
AzureFirstPartyManagedCertificate

AfdCipherSuiteSetType

将用于 Https 的密码套件集类型

说明
Customized
TLS10_2019
TLS12_2022
TLS12_2023

AfdCustomizedCipherSuiteForTls12

TLS 1.2 的密码套件。 至少需要一个最低TlsVersion TLS 1.2。

说明
ECDHE_RSA_AES128_GCM_SHA256
ECDHE_RSA_AES256_GCM_SHA384
DHE_RSA_AES256_GCM_SHA384
DHE_RSA_AES128_GCM_SHA256
ECDHE_RSA_AES128_SHA256
ECDHE_RSA_AES256_SHA384

AfdCustomizedCipherSuiteForTls13

TLS 1.3 的密码套件。 至少要求至少一个TlsVersion TLS 1.2,TLS 1.3。

说明
TLS_AES_128_GCM_SHA256
TLS_AES_256_GCM_SHA384

AFDDomain

友好域名映射到客户为品牌目的而提供的终端节点主机名,例如 www.contoso.com.

名称 类型 说明
id

string

资源 ID。

name

string

资源名称。

properties.azureDnsZone

ResourceReference

对 Azure DNS 区域的资源引用

properties.deploymentStatus

DeploymentStatus

properties.domainValidationState

DomainValidationState

预配子状态显示自定义 HTTPS 启用/禁用过程的进度。 DCV 代表 DomainControlValidation。

properties.extendedProperties

object

表示域迁移属性的 Key-Value 对。

properties.hostName

string

域的主机名。 必须是域名。

properties.preValidatedCustomDomainResourceId

ResourceReference

对预验证自定义域所有权的 Azure 资源的资源引用

properties.profileName

string

保存域的配置文件的名称。

properties.provisioningState

AfdProvisioningState

预配状态

properties.tlsSettings

AFDDomainHttpsParameters

指定如何为域启用 HTTPS 的配置 - 使用 AzureFrontDoor 托管证书或用户自己的证书。 如果未指定,则启用 ssl 默认使用 AzureFrontDoor 托管证书。

properties.validationProperties

DomainValidationProperties

客户需要验证域所有权的值

systemData

SystemData

只读系统数据

type

string

资源类型。

AFDDomainHttpsCustomizedCipherSuiteSet

自定义的密码套件集对象,将在 cipherSuiteSetType 自定义时用于 Https。

名称 类型 说明
cipherSuiteSetForTls12

AfdCustomizedCipherSuiteForTls12[]

TLS 1.2 的密码套件。 至少需要一个最低TlsVersion TLS 1.2。

cipherSuiteSetForTls13

AfdCustomizedCipherSuiteForTls13[]

TLS 1.3 的密码套件。 至少要求至少一个TlsVersion TLS 1.2,TLS 1.3。

AFDDomainHttpsParameters

包含保护域的属性的 JSON 对象。

名称 类型 说明
certificateType

AfdCertificateType

定义 SSL 证书的源。

cipherSuiteSetType

AfdCipherSuiteSetType

将用于 Https 的密码套件集类型

customizedCipherSuiteSet

AFDDomainHttpsCustomizedCipherSuiteSet

自定义的密码套件对象,当 cipherSuiteSetType 为自定义时,将用于 Https。

minimumTlsVersion

AfdMinimumTlsVersion

自定义密码SuiteSetType 时将用于 Https 的 TLS 协议版本。

secret

ResourceReference

对机密的资源引用。ie.subs/rg/profile/secret

AfdErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

AfdMinimumTlsVersion

自定义密码SuiteSetType 时将用于 Https 的 TLS 协议版本。

说明
TLS10
TLS12
TLS13

AfdProvisioningState

预配状态

说明
Succeeded
Failed
Updating
Deleting
Creating

DeploymentStatus

说明
NotStarted
InProgress
Succeeded
Failed

DomainValidationProperties

包含用于验证域的属性的 JSON 对象。

名称 类型 说明
expirationDate

string

令牌过期的日期时间

validationToken

string

用于 DNS TXT 记录或基于文件的验证的质询

DomainValidationState

预配子状态显示自定义 HTTPS 启用/禁用过程的进度。 DCV 代表 DomainControlValidation。

说明
Unknown
Submitting
Pending
Rejected
TimedOut
PendingRevalidation
Approved
RefreshingValidationToken
InternalError

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

IdentityType

创建/修改资源的标识类型

说明
user
application
managedIdentity
key

ResourceReference

对另一个资源的引用。

名称 类型 说明
id

string

资源 ID。

SystemData

只读系统数据

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)

createdBy

string

创建资源的标识的标识符

createdByType

IdentityType

创建资源的标识类型

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识的标识符

lastModifiedByType

IdentityType

上次修改资源的标识类型